Datasources
Alle Operationen rund um Datasources.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Datasource | datasource |
3 | — | datasource_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/datasources |
Create datasource | Create a new datasource in the active tenant. |
DELETE |
/v1/datasources/{id} |
Delete datasource | Soft delete entity. |
GET |
/v1/datasources/{id} |
Get datasource by id | Fetch a single datasource. |
GET |
/v1/datasources/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/datasources/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/datasources/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/datasources |
List datasources | List datasources for the active tenant. |
PATCH |
/v1/datasources/{id} |
Patch datasource | JSON Merge Patch update. |
POST |
/v1/datasources/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/datasources/{id}/transition |
POST /v1/datasources/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/datasources/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/datasources/{id} |
Replace datasource | Full replace with optimistic locking. |